EnderDashEnderDash

Update Status Page Config

Update Status Page Config. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/organizations.updateStatusPageConfig

Update Status Page Config. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId*string
enabled*boolean
showUptime*boolean
showTotalPlayers*boolean
showServerPlayers*boolean
showTps*boolean
servers*array<>
description?string|null
title?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/organizations.updateStatusPageConfig" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "enabled": true,    "showUptime": true,    "showTotalPlayers": true,    "showServerPlayers": true,    "showTps": true,    "servers": [      {        "includeInTotalPlayers": true,        "position": 0,        "serverId": "string",        "showOnlineState": true,        "showPlayerCount": true,        "showTps": true,        "visible": true      }    ]  }'
{  "result": {    "data": {      "organization": {        "id": "string",        "logo": "string",        "name": "string",        "slug": "string"      },      "settings": {        "description": "string",        "enabled": true,        "showServerPlayers": true,        "showTotalPlayers": true,        "showTps": true,        "showUptime": true,        "title": "string"      },      "servers": [        {          "config": {            "includeInTotalPlayers": true,            "position": 0,            "serverId": "string",            "showOnlineState": true,            "showPlayerCount": true,            "showTps": true,            "visible": true,            "displayName": "string"          },          "isOnline": true,          "lastSeenAt": "2019-08-24T14:15:22Z",          "minecraftVersion": "string",          "name": "string",          "serverId": "string",          "serverType": "string"        }      ]    }  }}